## Index

### Variables

- WNFS_PREFIX

### Functions

- compile
- filesystemPrefix
- lookup
- lookupAppUcan
- lookupFilesystemUcan
- resourceLabel

## Variables

### Const WNFS_PREFIX

WNFS_PREFIX: "wnfs" = "wnfs"

- Defined in ucan/dictionary.ts:16

## Functions

### compile

- compile(ucans: string[]): Record<string, string>

- - Defined in ucan/dictionary.ts:27

  Given a list of UCANs, generate a dictionary. The key will be in the form of `${resourceKey}:${resourceValue}`

  #### Parameters

  - ##### ucans: string[]

  #### Returns Record<string, string>

### filesystemPrefix

- filesystemPrefix(username: string): string

- - Defined in ucan/dictionary.ts:57

  Lookup the prefix for a filesystem key in the dictionary.

  #### Parameters

  - ##### username: string

  #### Returns string

### lookup

- lookup(label: string): string | null

- - Defined in ucan/dictionary.ts:67

  Look up a UCAN by label

  #### Parameters

  - ##### label: string

  #### Returns string | null

### lookupAppUcan

- lookupAppUcan(domain: string): Promise<string | null>

- - Defined in ucan/dictionary.ts:74

  Look up a UCAN for a platform app.

  #### Parameters

  - ##### domain: string

  #### Returns Promise<string | null>

### lookupFilesystemUcan

- lookupFilesystemUcan(path: DistinctivePath | "*"): Promise<string | null>

- - Defined in ucan/dictionary.ts:82

  Look up a UCAN with a file system path.

  #### Parameters

  - ##### path: DistinctivePath | "*"

  #### Returns Promise<string | null>

### resourceLabel

- resourceLabel(rsc: Resource): string

- - Defined in ucan/dictionary.ts:41

  Creates the label for a given resource in the UCAN dictionary

  #### Parameters

  - ##### rsc: Resource

  #### Returns string

Generated using TypeDoc